curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"peopleId": 5034567,
"type": "pc",
"groupId": 42,
"employeeStatus": "active",
"searchTerm": "foo",
"searchFields": [
"memo",
"people.primaryEmail",
"people.displayName",
"preset.asset_number",
"preset.<unique field name>",
"custom.<unique field name>"
],
"filters": {}
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/search"
payload = {
"peopleId": 5034567,
"type": "pc",
"groupId": 42,
"employeeStatus": "active",
"searchTerm": "foo",
"searchFields": ["memo", "people.primaryEmail", "people.displayName", "preset.asset_number", "preset.<unique field name>", "custom.<unique field name>"],
"filters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
peopleId: 5034567,
type: 'pc',
groupId: 42,
employeeStatus: 'active',
searchTerm: 'foo',
searchFields: [
'memo',
'people.primaryEmail',
'people.displayName',
'preset.asset_number',
'preset.<unique field name>',
'custom.<unique field name>'
],
filters: {}
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"id": 123,
"memo": "foo bar",
"people": {
"id": 1,
"identityId": "I3N5HB4B3G",
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"type": "employee",
"status": "suspended",
"managementType": "managed",
"employeeType": "full_time_employee",
"employeeStatus": "active",
"suspendedAt": "2021-07-13T19:15:40.000Z",
"createdAt": "2021-07-13T19:15:40.000Z",
"accounts": [
{
"id": "1#foo",
"serviceId": 42,
"serviceUniqueName": "github",
"serviceName": "GitHub",
"workspaceName": "mfi",
"accountKey": "foo@mfi.com",
"serviceIsCustom": false
}
],
"mergedPeople": [
{
"id": 1,
"displayName": "Ron Lee",
"username": "ron.lee",
"primaryEmail": null
}
]
},
"originalPeopleId": 456,
"fields": {
"preset.subtype": "other",
"preset.asset_number": "unique value",
"preset.model_name": "cool gadget",
"custom.custom_text_field": "foo",
"custom.custom_date_field": "2024-01-01",
"custom.custom_number_field": 123,
"custom.custom_dropdown_field": "Option Displayed Value A"
},
"mdmMetadata": {
"workspaceId": 123,
"serviceUniqueName": "jamf",
"url": "https://example.com"
},
"relatedIdentities": {
"identityHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
},
"managerHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
}
},
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]
}
]
}Search devices for an organization
承認
パスパラメータ
クエリパラメータ
Maximum number of items to return per page
50
Base64-encoded cursor for pagination. Use the cursor from the previous response to get the next page.
The sortBy value is a string that contains two parts separated by a dot. The first part is either preset or custom and the second part is the unique field name. Additionally the following fields can be used for sorting: people.displayName.
"<preset | custom>.<unique field name>"
Sort order for the results (asc or desc)
DESC, ASC Expand other datasets when fetching devices. Accepts multiple options.
relatedIdentity, customFieldsMetadata ボディ
Filter devices by the people ID assigned to them
5034567
Filter devices by device type
pc, phone, other "pc"
Filter devices to those matching the conditions of the given Device Group (restricts results to the group's member devices).
42
Filter devices by the employment status of the assigned person
active, on_leave, draft, preactive, retired, untracked "active"
Search term to filter devices. Searches across fields specified in searchFields
"foo"
Array of field names to search within when using searchTerm. Supports memo, people fields, preset fields, and custom fields
[
"memo",
"people.primaryEmail",
"people.displayName",
"preset.asset_number",
"preset.<unique field name>",
"custom.<unique field name>"
]The object key is the field name, and the value is the filter options. Keys look like preset.<unique field name>. There are certain extra virtual fields, such as $age, please check implementation or ask a backend engineer.
Show child attributes
Show child attributes
このページは役に立ちましたか?

